# Uses of Interface
org.eclipse.birt.chart.model.attribute.NumberFormatSpecifier

Packages that use NumberFormatSpecifier
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of NumberFormatSpecifier in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return NumberFormatSpecifier
Modifier and Type
Method
Description
`NumberFormatSpecifier`
NumberFormatSpecifier.`copyInstance()`
`NumberFormatSpecifier`
AttributeFactory.`createNumberFormatSpecifier()`
Returns a new object of class 'Number Format Specifier'.

## Uses of NumberFormatSpecifier in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement NumberFormatSpecifier
Modifier and Type
Class
Description
`class`
`NumberFormatSpecifierImpl`
An implementation of the model object ' Number Format Specifier'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return NumberFormatSpecifier
Modifier and Type
Method
Description
`NumberFormatSpecifier`
NumberFormatSpecifierImpl.`copyInstance()`
`static NumberFormatSpecifier`
NumberFormatSpecifierImpl.`create()`
A convenience methods provided to create an initialized NumberFormatSpecifier instance NOTE: Manually written
`NumberFormatSpecifier`
AttributeFactoryImpl.`createNumberFormatSpecifier()`